import { useRequest } from "@/use/useHttp"
import { CAP_HTML_TO_IMAGE_BASE_URL } from '@/common/constant'

export const mpenumsaleorderstatus = () => {
    return useRequest({
        url: `/v1/mp/enum/sale/order/status`,
        method: "get",
    })
}

/**
 * 获取订单列表
 * @returns 
 */
export const OrderListApi = () => {
    return useRequest({
        url: `/v2/mp/saleOrder/list`,
        method: "get",
    })
}

/**
 *  客户列表
 * @returns 
 */
export const ClientListApi = () => {
    return useRequest({
        url: `/v1/mp/purchaser/list`,
        method: "get"
    })
}
//面料种类列表
export const mpproductcolorlist = () => {
    return useRequest({
        url: `/v1/mp/product/color/list`,
        method: "get"
    })
}
//加入购物车
export const mpsaleOrderpreView = () => {
    return useRequest({
        url: `/v1/mp/saleOrder/preView`,
        method: "put"
    })
}
//业务员枚举
export const mpenumsaleUserlist = () => {
    return useRequest({
        url: `/v1/mp/enum/saleUser/list`,
        method: "get"
    })
}
//订单详情
export const mpsaleOrder = () => {
    return useRequest({
        url: `/v2/mp/saleOrder`,
        method: "get"
    })
}
//取消订单
export const mpsaleOrdercancel = () => {
    return useRequest({
        url: `/v1/mp/saleOrder/cancel`,
        method: "put",
    })
}
//再次购买
export const mpshoppingCartproductColorlist = () => {
    return useRequest({
        url: `/v1/mp/shoppingCart/productColor/list`,
        method: "post",
    })
}
//获取账期付款
export const orderPaymentorderPaymentMethodInfo = () => {
    return useRequest({
        url: `/v1/mp/orderPayment/orderPaymentMethodInfo`,
        method: "get",
    })
}
//预收单获取接口信息
export const orderPaymentpreCollectOrderorderPaymentMethodInfo = () => {
    return useRequest({
        url: `/v1/mp/orderPayment/preCollectOrder/orderPaymentMethodInfo`,
        method: "get",
    })
}
//确认交易
export const orderPaymentorderPaymentSubmission = () => {
    return useRequest({
        url: `/v1/mp/orderPayment/orderPaymentSubmission`,
        method: "put",
    })
}
//订单预支付提交
export const orderPaymentpreCollectOrderorderPaymentSubmission = () => {
    return useRequest({
        url: `/v1/mp/orderPayment/preCollectOrder/orderPaymentSubmission`,
        method: "put",
    })
}
/**
 * 获取在线支付二维码
 */
export const GetPayCode = () => {
    return useRequest({
        url: `/xima-caphtml/caphtml`,
        base_url: CAP_HTML_TO_IMAGE_BASE_URL,
        method: 'post',
    })
}
//编辑备注信息
export const mpsaleOrderput = () => {
    return useRequest({
        url: `/v1/mp/saleOrder`,
        method: "put",
    })
}
//修改销售单的收货地址
export const mpsaleOrderaddress = () => {
    return useRequest({
        url: `/v1/mp/saleOrder/address`,
        method: "put",
    })
}
//关键字搜索历史
export const mpsearchHistorylist = () => {
    return useRequest({
        url: `/v1/mp/searchHistory/list`,
        method: "get",
    })
}
//添加关键字搜索
export const mpsearchHistory = () => {
    return useRequest({
        url: `/v1/mp/searchHistory`,
        method: "post",
    })
}
