export default defineAppConfig({
  pages: ['pages/index/index', 'pages/order/index', 'pages/shopping/index', 'pages/user/index', 'pages/login/index'],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#fff',
    navigationBarTitleText: 'WeChat',
    navigationBarTextStyle: 'black',
    backgroundColor: '#ffffff',
  },
  tabBar: {
    custom: true,
    list: [
      {
        pagePath: 'pages/index/index',
        text: '首页',
      },
      {
        pagePath: 'pages/shopping/index',
        text: '购物',
      },
      {
        pagePath: 'pages/order/index',
        text: '订单',
      },
      {
        pagePath: 'pages/user/index',
        text: '我的',
      },
    ],
    color: '#707070',
    selectedColor: '#2680EB',
    backgroundColor: '#fff',
    borderStyle: 'white',
  },
  usingComponents: {
    'custom-wrapper': '/custom-wrapper',
  },
  subPackages: [
    {
      root: 'pages/delivery',
      pages: ['index'],
    },
    {
      root: 'pages/colorRelated',
      pages: ['sampleComparison/index', 'takeColor/index', 'findColor/index'],
    },
    {
      root: 'pages/addAddress',
      pages: ['index'],
    },
    {
      root: 'pages/addressManager',
      pages: ['index'],
    },
    {
      root: 'pages/customerPage',
      pages: ['index'],
    },
    {
      root: 'pages/orderDetails',
      pages: ['index'],
    },
    {
      root: 'pages/saleuserPage',
      pages: ['index'],
    },
    {
      root: 'pages/searchPage',
      pages: ['index'],
    },
    {
      root: 'pages/submitOrder',
      pages: ['index'],
    },
  ],
})
