import { View } from '@tarojs/components'
import { FC, ReactNode } from 'react'
import IconFont from '../iconfont/iconfont'
import styles from './index.module.scss'

import classname from 'classnames'

type IconfontName = Parameters<typeof IconFont>['0']['name']

interface PropsType {
  iconName: IconfontName
  title: string
  children?: ReactNode
  onClick?: Function
  customClass?: string
  iconSize?: number
}
const IconCard: FC<PropsType> = (props) => {
  const { iconName, title, onClick, customClass = '', iconSize = 72 } = props
  const handleClick = (event) => {
    console.log(event)
    onClick && onClick(event)
  }
  return (
    <View className={classname(styles.iconCard, customClass)} onClick={handleClick}>
      <IconFont name={iconName} size={iconSize}></IconFont>
      <View className={styles['iconCard-name']}>{title}</View>
    </View>
  )
}
export default IconCard
