import LayoutBlock from '@/components/layoutBlock'
import Divider from '@/components/divider'
import Tag from '@/components/tag'
import { View, Text } from '@tarojs/components'
import { FC } from 'react'
import NormalButton from '@/components/normalButton'
import styles from './index.module.scss'

type PropsType = {
  itemData?: Record<string, any>
}

const ItemList:FC<PropsType> = (props) => {
  const { itemData } = props
  // 查看详情
  const handleDetail = () => {

  }
  // 确认审核
  const handleAudit = () => {

  }

  return (
    <LayoutBlock circle customClassName={styles.layoutBlock}>
      <View className={styles.topBar}>
        <View className={styles.topBar__orderNo}>
          <View>单号：XS-LY-2208220092</View>
          <View className={styles.topBar__orderStatus}>待审核</View>
        </View>
        <Text className={styles.topBar__orderType}>销售发货单</Text>
      </View>
      <Divider direction='horizontal'></Divider>
      <View className={styles.content}>
        <View className={styles.content__row}>
          <View className={styles.content__row__left}>货品信息：</View>
          <View className={styles.content__row__right}>
            <Tag type='primary' circle plain>
              大货
            </Tag>
            2种面料，4种颜色，共5米
          </View>
        </View>
        <View className={styles.content__row}>
          <View className={styles.content__row__left}>发货地址：</View>
          <View className={styles.content__row__right}>永川纺织有限公司</View>
        </View>
        <View className={styles.content__row}>
          <View className={styles.content__row__left}>创建时间：</View>
          <View className={styles.content__row__right}>2022-09-01 18:32:32</View>
        </View>
      </View>
      <View className={styles.bottomBar}>
        <NormalButton customClassName={styles.bottomBar__button} type='info' round onClick={handleDetail}>
          查看详情
        </NormalButton>
        <NormalButton customClassName={styles.bottomBar__button} type='primary' round onClick={handleAudit}>
          确认审核
        </NormalButton>
      </View>
    </LayoutBlock>
  )
}
export default ItemList
